﻿@page
@model Sasw.EasyContent.Razor.Pages.PostModel
@{
    ViewData["Title"] = "Post";
}

<h1>@Model.Title</h1>
@if (!@Model.PublishedOn.Equals(DateTime.MinValue))
{
    <span>Published on @Model.PublishedOn.ToString("yyyy-MM-dd") </span>
}
@if (@Model.Author != null)
{
    <span>by @Model.Author</span>
}
<div>
    @Model.HtmlContent
</div>

@* ReSharper disable once Razor.SectionNotResolved *@
@section OgTags
{
    <meta property="og:title" content="@Model.Title" />
    <meta property="og:type" content="website" />
    <meta property="og:url" content="@Request.Host.ToString()@Model.RelativePath" />
    <meta property="og:image" content="@Model.Image" />
}